<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Hall of Fame</title>
<meta name="author" content="Roel - LuxSoft">
<meta name="robots" content="noindex,nofollow">
<style>
body {font:12px arial, sans-serif; color:#000080;}
table td {padding:0 0.5cm;}
th:nth-of-type(1) {width:10%;}
th:nth-of-type(2) {width:20%;}
th:nth-of-type(3) {width:55%;}
th:nth-of-type(4) {width:15%;}
h3 {margin-top:-8px; text-align:center;}
h4 {margin-top:-8px; text-align:center; color:#CC3333;}
input {font:0.9em arial, sans-serif; color:#000080; cursor:arrow;}
button {font-size:0.9em; color:#008; border:1px solid #B07000; border-radius:2px; cursor:pointer;}
button:hover {border-color:#0070E0;}
.textC {text-align:center;}
.textR {text-align:right;}
.footer {font-size:0.9em; margin:8px 0;}
.footer a {font:bold 1.1em arial,sans-serif; color:#F00; text-decoration:none;}
</style>
<script>
function valName(f) {
	f.name.value = f.name.value.replace(/(^\s+)|(\s+$)/g, "");
	if (f.name.value == "") {
		alert("please enter your name");
		f.name.focus();
		return false;
	}
}
</script>
</head>

<body>
<br>
<?php
if (empty($_POST['game'])) { echo "<br><div class='textC'>NO CHEATING GUYS!</div>"; goto end;}
$game = stripslashes($_POST['game']);
$score = $_POST['score'];
$name = !empty($_POST['name']) ? $_POST['name'] : '';
$file = $_POST['file'];
$hofFile = $file.'score.dat'; //hall of fame
$hitFile = $file.'hits.dat'; //hits
$msgTxt = array(
	'File with scores not found; notify your boss',
	'Oohps, a bit low. Take a nap and try again',
	'Not quite yet, don\'t give up',
	'Keep on trying and you will succeed',
	'Sorry, the Hall of Fame is still far away',
	'Still somewhat low. You can do better',
	'You are coming closer now. Go on!',
	'Not bad at all. Next time maybe . . .',
	'You almost reached the Hall of Fame. Don\'t give up!',
	'you\'re almost there. Please concentrate!');

//*** Set timezone to Europe ***
date_default_timezone_set("Europe/Amsterdam");

$hiScores = (file_exists($hofFile)) ? file($hofFile) : array("00010\t2019.01.01\t00:00\tMr. Looser");
$hits = (file_exists($hitFile)) ? file_get_contents($hitFile) : 0;
echo '<h3>'.$game.'&nbsp;&nbsp;(played: '.$hits.'x)</h3>';
if ($score > 0) {
	echo '<h4>your score: '.$score.'</h4>';
	if ($name) { //pass 2 - won
		$hiScores[] = str_pad($score, 5, "0", STR_PAD_LEFT)."\t".date('Y.m.d')."\t".date('H:i')."\t".$name."\n";
		rsort($hiScores);
		file_put_contents($hofFile, $hiScores); //update Hall of Fame
	} else { //pass 1
		file_put_contents($hitFile, ++$hits); //increment play counter
		$won = (count($hiScores) < 50) ? 10 : floor(10 * $score / ltrim(substr($hiScores[49],0,5),"0"));
		if ($won >= 10) {
?>
			<form method="post" action="<?=$_SERVER["PHP_SELF"]?>" name="getName" onsubmit="return valName(this)">
			<input type="hidden" name="game" value="<?=$game?>">
			<input type="hidden" name="file" value="<?=$file?>">
			<input type="hidden" name="score" value="<?=$score?>">
			<p class="textC">Type your name and click 'Ok':&nbsp;&nbsp;&nbsp;
				<input size= "18" name="name" value="<?=$name?>" maxlength='25'>
				&nbsp;&nbsp;&nbsp;<button type="submit">Ok</button>
			</p>
			<br>
			</form>
			<script>document.getName.name.focus();</script>
<?php
		} else {
			echo "<p>{$msgTxt[$won]}</p>\n<br>\n";
		}
	}
}
echo "<h3>- top 50 -</h3>\n<hr>\n";
echo "<table>\n";
echo "<tr><th>nr</th><th>date</th><th>name</th><th>score</th></tr>\n";
if (isset($hiScores)) {
	$i=1;
	foreach ($hiScores as $curRec) {
		list($hiScore,$hiDate,,$hiName) = explode("\t", $curRec);
		echo "<tr>\n<td class='textR'>".$i++."</td><td>".$hiDate."</td><td>".$hiName."</td><td class='textR'>".ltrim($hiScore,"0")."</td>\n</tr>\n";
		if ($i > 50) {break;}
	}
}
echo "</table>\n<hr>\n";
end:
?>
<br>
<div class="textC"><button type="button" onClick="window.close()">Close</button><br><br>
<span class="footer">&copy; <?= date('Y') ?> - a <a href="http://www.luxsoft.eu" target="_blank">LuxSoft</a> game</span>
</div>
</body>
</html>
